-- create database ekk1db;

-- use ekk1db;

drop table if exists membf;
drop table if exists baptf;
drop table if exists conff;
drop table if exists marryf;
drop table if exists dief;
drop table if exists churchf;
drop table if exists fatherf;
drop table if exists famextf;
drop table if exists jobf;
drop table if exists typef;
drop table if exists type1f;
drop table if exists sexf;
drop table if exists posf;
drop table if exists orgf;
drop table if exists orgmbf;

create table membf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    membno  varchar(12) default '' not null,        --tνs
    membna   varchar(10) default '' not null,       --mW
    aborna   varchar(20) default '' not null,       --W
    typeno   varchar(1) default '' not null,         --(0:ϱФ,1:DϱФ,2:}D,3:DФ)
    churchno varchar(12) default '' not null,        --ݱа
    idno      varchar(10)  default '' not null,       --Ҹ
    sexno    varchar(1)  default '' not null,       --ʧO
    birthdate varchar(8)  default '' not null,       --ͤ
    fax       varchar(15)  default '' not null,    --ǯu
    htel      varchar(15)  default '' not null,    --aq
    ptel       varchar(15)  default '' not null,    --
    mobil      varchar(15)  default '' not null,    --
    czip       varchar(5)  default '' not null,     --lϸ
    caddr      varchar(60)  default '' not null,    --a}
    lzip       varchar(5)  default '' not null,     --lϸ
    laddr      varchar(60)  default '' not null,    --a}
    email      varchar(60)  default '' not null,    --E-mail
    jobno        varchar(12) default '' not null,   --¾~
    marryname    varchar(10)  default '' not null,  --t
    fathername varchar(10)  default '' not null,     --˩mW
    monthname  varchar(10)  default '' not null,      --˩mW
    fatherbno  varchar(12)  default '' not null,     --˥NX
    monthbno   varchar(12)  default '' not null,      --˥NX
    familyno   varchar(12)  default '' not null,      --axs
    famextno     varchar(2)  default '' not null,    --ax٩I
    sysarea     varchar(12)  default '' not null,    --ϰO
    dieyn       varchar(1)  default 'F' not null,      --O_`
    mobyn       varchar(1)  default 'F' not null,      --O_²T
    prtyn       varchar(1)  default 'F' not null,      --O_CL
    milyn       varchar(1)  default 'F' not null,      --O_l
    remark      varchar(60)  default '' not null,       --Ƶ
    primary key ( membno)
);

create table baptf
(
    cuser      varchar(16) default '' not null,
    cdate      varchar(14) default '' not null,
    muser      varchar(16) default '' not null,
    mdate      varchar(14) default '' not null, 
    baptno     varchar(16) default '' not null,       --~s
    membno    varchar(12) default '' not null,       --tνs
    baptname   varchar(20) default '' not null,       --~tW
    churchno   varchar(12)  default '' not null,       --~а
    baptdate    varchar(8)  default '' not null,      --~
    baptfather  varchar(12)  default '' not null,     --I~
    baptfaname  varchar(12)  default '' not null,     --~N
    baptmoname  varchar(12)  default '' not null,     --~N
    primary key ( baptno)
);
create table conff
(
    cuser      varchar(16) default '' not null,
    cdate      varchar(14) default '' not null,
    muser      varchar(16) default '' not null,
    mdate      varchar(14) default '' not null, 
    confno     varchar(16) default '' not null,       --s
    membno    varchar(12) default '' not null,       --tνs
    confname   varchar(20) default '' not null,       --tW
    churchno   varchar(12)  default '' not null,       --а
    confdate    varchar(12)  default '' not null,      --
    conffather  varchar(12)  default '' not null,     --
    conffaname  varchar(12)  default '' not null,     --N
    confmoname  varchar(12)  default '' not null,     --N
    primary key ( confno)
);
create table dief
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    dieno    varchar(16) default '' not null,         --`s
    membno  varchar(12) default '' not null,         --tνs
    churchno varchar(12)  default '' not null,         --`а
    diedate       varchar(8)  default '' not null,    --`
    dieplace      varchar(40)  default '' not null,   --`aI
    diereason     varchar(40)  default '' not null,   --`]
    dieburyplace  varchar(40)  default '' not null,   --IaI
    yesnosang     varchar(1)  default '' not null,    --O_{׸t
    primary key ( dieno)
);
create table marryf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    marryno   varchar(16) default '' not null,            --Bs
    membnom  varchar(12) default '' not null,            --ks
    membnof  varchar(12) default '' not null,            --ks
    marrychurchno     varchar(12)  default '' not null,    --Bа
    marrydate         varchar(8)  default '' not null,    --B
    marryfather       varchar(12)  default '' not null,   --ұB
    marrybakername1   varchar(10)  default '' not null,   --ҤH
    marrybakername2   varchar(10)  default '' not null,   --ҤH
    primary key ( marryno)
);
create table churchf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    churchno   varchar(12) default '' not null,            --аs
    churchna varchar(20) default '' not null,           --аW
    primary key ( churchno)
);
create table fatherf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    fatherno     varchar(12)  default '' not null,         --s
    fatherna   varchar(10) default '' not null,         --mW
    primary key ( fatherno)
);
create table famextf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    famextno    varchar(2)  default '' not null,         --٩Is
    famextna  varchar(10) default '' not null,         --٩I
    primary key ( famextno)
);
create table jobf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    jobno   varchar(12)  default '' not null,         --¾~NX
    jobna   varchar(10) default '' not null,         --¾~
    primary key ( jobno)
);
create table typef
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    typeno   varchar(1)  default '' not null,         --ONX
    typena   varchar(10) default '' not null,         --O
    primary key ( typeno)
);
create table sexf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    sexno    varchar(1)  default '' not null,        --ʧONX
    sexna    varchar(2) default '' not null,         --ʧO
    primary key ( sexno)
);

create table posf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    posno    varchar(12)  default '' not null,        --¾٥NX
    posna    varchar(40) default '' not null,        --¾ٻ
    primary key ( posno)
);

create table orgf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    orgno    varchar(12)  default '' not null,        --NX
    orgna    varchar(40) default '' not null,        --黡
    primary key ( orgno)
);
create table orgmbf
(
    cuser    varchar(16) default '' not null,
    cdate    varchar(14) default '' not null,
    muser    varchar(16) default '' not null,
    mdate    varchar(14) default '' not null, 
    orgno    varchar(12)  default '' not null,        --NX
    membno   varchar(12) default '' not null,        --NX
    posno    varchar(12) default '' not null,         --¾٥NX
    mobyn    varchar(1)  default 'F' not null,      --O_²T
    prtyn    varchar(1)  default 'F' not null,      --O_CL
    milyn    varchar(1)  default 'F' not null,      --O_l
    remark   varchar(60)  default '' not null,       --Ƶ  
    primary key ( orgno, membno)
);


insert into sexf( SEXNO,SEXNA)   values('1','k');
insert into sexf( SEXNO,SEXNA)   values('2','k');

insert into typef( TYPENO,TYPENA)   values('0','ϱФ');
insert into typef( TYPENO,TYPENA)   values('1','DϱФ');
insert into typef( TYPENO,TYPENA)   values('2','}D');
insert into typef( TYPENO,TYPENA)   values('3','DФ');

insert into famextf ( FAMEXTNO,FAMEXTNA)   values('00','');
insert into churchf ( churchno, churchna)   values('0001','׭ѥD');
